Skip to main content
POST
/
udyam
Verify Udyam
curl --request POST \
  --url https://sandbox.cashfree.com/verification/udyam \
  --header 'Content-Type: application/json' \
  --header 'x-client-id: <api-key>' \
  --header 'x-client-secret: <api-key>' \
  --data '
{
  "verification_id": "tfqgzsXu3Z",
  "udyam": "UDYAM-UP-43-1234567"
}
'
{
  "verification_id": "tfqgzsXu3Z",
  "reference_id": 3478283,
  "status": "SUCCESS",
  "udyam_number": "UDYAM-UP-43-1234567",
  "enterprise_name": "helloscholar",
  "owner_name": "John Doe",
  "organization_type": "Proprietary",
  "major_activity": "Services",
  "gender": "Male",
  "social_category": "General",
  "date_of_incorporation": "2020-05-29",
  "date_of_commencement": "2020-05-29",
  "date_of_udyam_registration": "2022-01-02",
  "enterprise_type": "Micro",
  "classification_year": "2024-25",
  "classification_date": "2025-06-02",
  "udyam_certificate_url": "UDYAM_CERTIFICATE_PDF_URL",
  "classification_history": [
    {
      "serial_number": "1",
      "data_year": "2023-24",
      "classification_year": "2024-25",
      "enterprise_type": "Micro",
      "classification_date": "2025-06-02"
    },
    {
      "serial_number": "2",
      "data_year": "2022-23",
      "classification_year": "2023-24",
      "enterprise_type": "Micro",
      "classification_date": "2023-05-09"
    },
    {
      "serial_number": "3",
      "data_year": "2022-23",
      "classification_year": "2022-23",
      "enterprise_type": "Micro",
      "classification_date": "2022-06-26"
    }
  ],
  "split_address": {
    "flat": "Ground Floor",
    "building": "05 Raman Vihar",
    "village": "Naubasta",
    "block": "Naubasta",
    "street": "Naubasta",
    "city": "Kanpur",
    "district": "KANPUR NAGAR",
    "state": "UTTAR PRADESH",
    "pincode": "208021",
    "mobile": "70*****210",
    "email": "helloscholar.edu@gmail.com"
  },
  "unit_locations": [
    {
      "serial_number": "1",
      "unit_name": "hellobanker",
      "flat": "Ground Floor",
      "building": "05 Raman Vihar Naubasta",
      "village": "KANPUR NAGAR",
      "block": "KANPUR NAGAR",
      "street": "05 Raman Vihar Naubasta Bamba",
      "city": "Kanpur",
      "district": "KANPUR NAGAR",
      "state": "UTTAR PRADESH",
      "pincode": "208021"
    },
    {
      "serial_number": "2",
      "unit_name": "helloscholar",
      "flat": "Ground Floor",
      "building": "05 Raman Vihar Naubasta",
      "village": "Kanpur",
      "block": "Kanpur",
      "street": "Kanpur",
      "city": "Kanpur",
      "district": "KANPUR NAGAR",
      "state": "UTTAR PRADESH",
      "pincode": "208021"
    }
  ],
  "nic_codes": [
    {
      "serial_number": "1",
      "nic_2_digit": "85",
      "nic_2_description": "Education",
      "nic_4_digit": "8550",
      "nic_4_description": "Educational support services",
      "nic_5_digit": "85500",
      "nic_5_description": "Educational support services",
      "activity": "Services",
      "date": "2022-01-02"
    }
  ],
  "dic": "KANPUR NAGAR",
  "msme_di": "KANPUR",
  "msme_dfo": "KANPUR"
}

Authorizations

x-client-id
string
header
required

Your unique client identifier issued by Cashfree. You can find this in your Merchant Dashboard.

x-client-secret
string
header
required

The secret key associated with your client ID. Use this to authenticate your API requests. You can find this in your Merchant Dashboard.

Headers

x-cf-signature
string

Send the signature if two-factor authentication is selected as Public Key. More details.

Body

application/json

Find the request parameters to retrieve the information of a Udyam number.

verification_id
string
required

It is the unique ID you create to identify the verification request. The maximum character limit is 50. Alphanumeric, period (.), hyphen (-), and underscore ( _ ) are allowed.

Example:

"tfqgzsXu3Z"

udyam
string
required

It is the Udyam registration number to be verified.

Example:

"UDYAM-UP-43-1234567"

Response

Success response for Udyam verification.

verification_id
string

It displays the unique ID you created to identify the verification request.

Example:

"tfqgzsXu3Z"

reference_id
integer

It displays the unique ID created by Cashfree Payments for reference purposes.

Example:

3478283

status
enum<string>

It displays the status of the verification request.

Available options:
SUCCESS,
UDYAM_NOT_FOUND,
UDYAM_IS_CANCELLED
Example:

"SUCCESS"

udyam_number
string | null

It displays the Udyam registration number.

Example:

"UDYAM-UP-43-1234567"

enterprise_name
string | null

It displays the enterprise name.

Example:

"helloscholar"

owner_name
string | null

It displays the owner name.

Example:

"John Doe"

organization_type
string | null

It displays the organization type.

Example:

"Proprietary"

major_activity
string | null

It displays the major activity of the enterprise.

Example:

"Services"

gender
string | null

It displays the gender.

Example:

"Male"

social_category
string | null

It displays the social category.

Example:

"General"

date_of_incorporation
string | null

It displays the date of incorporation.

Example:

"2020-05-29"

date_of_commencement
string | null

It displays the date of commencement.

Example:

"2020-05-29"

date_of_udyam_registration
string | null

It displays the date of Udyam registration.

Example:

"2022-01-02"

enterprise_type
string | null

It displays the type of enterprise.

Example:

"Micro"

classification_year
string | null

It displays the classification year.

Example:

"2024-25"

classification_date
string | null

It displays the classification date.

Example:

"2025-06-02"

udyam_certificate_url
string | null

It displays the URL to download the Udyam certificate.

Example:

"UDYAM_CERTIFICATE_PDF_URL"

classification_history
object[]

It contains the classification history for different years.

split_address
object

It contains the enterprise address information.

unit_locations
object[]

It contains the list of enterprise unit locations.

nic_codes
object[]

It contains the NIC codes information.

dic
string | null

It displays the DIC (District Industries Centre).

Example:

"KANPUR NAGAR"

msme_di
string | null

It displays the MSME DI (Development Institute).

Example:

"KANPUR"

msme_dfo
string | null

It displays the MSME DFO (Development Field Officer).

Example:

"KANPUR"